#include "CS_Door_Beta.h"

CS_Door_Beta::CS_Door_Beta()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_door_beta";
	drawBeforeOtherEntity = true;
	cbRect.left = cbRect.right = 6;
}

void CS_Door_Beta::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.png = L"CS_CaveStoryMod";
	else
		ani.png = L"";
}

std::shared_ptr<Entity> CreateCS_Door_Beta()
{
	return std::make_shared<CS_Door_Beta>();
}
